#header {
    position: fixed;
    z-index: 99;
    top: 0;
    padding: 0.875rem 0 0;
    background-color: #FFFFFF;
    left: 0;
    right: 0;
    transition: 0.3s;
}

.header-logo {
    max-width: 125px;
    background-color: #FFFFFF;
    position: relative;
    z-index: 5;
}

ul>li.menu-item-has-children {
    position: relative;
}

ul.header-menu-top>li>a {
    color: #FFFFFF;
    padding: 1rem 0;
    border-bottom: 1px solid transparent !important;
    border-radius: 0 !important;
}

#header .wrap-menu-top {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    min-height: 3.75rem;
}

#header .wrap-menu-top.left {
    justify-content: flex-end;
}

.header-menu-top li.menu-item-has-children>a::after {
    content: '\e904';
    display: inline-block;
    margin-right: auto;
    transition: 0.3s;
    font-family: 'icomoon';
    font-size: 8px;
}

.header-menu-top>li.menu-item-has-children>a::after {
    margin-right: 6px;
    transform: rotate(-90deg);
    margin-top: 3px;
}

.header-menu-top>li.menu-item-has-children:hover>a::after {
    transform: rotate(90deg);
}

.header-menu-top li:last-child>a {
    border-bottom: none;
    border-radius: 0 0 0.75rem 0.75rem;
}

.header-menu-top .blue-background>a {
    background: var(--color1);
    color: #fff !important;
    border-bottom-color: #22226d !important;
}

.header-menu-top ul.sub-menu {
    position: absolute;
    top: 100%;
    left: auto;
    right: 0;
    width: 180px;
    background: #fff;
    visibility: hidden;
    opacity: 0;
    transition-property: opacity, visibility;
    text-align: right;
    border-radius: 0.75rem;
    box-shadow: 0px 0px 12px 0px rgba(174, 174, 174, 0.25);
    border: none;
    transition: 0.3s;
    z-index: 999;
}

.header-menu-top li.menu-item-has-children:hover>ul.sub-menu {
    opacity: 1;
    visibility: visible;
}

.header-menu-top>li>ul.sub-menu {
    border-radius: 0 0 0.75rem 0.75rem;
}

.header-menu-top li:hover>a {
    color: var(--color1);
}

.header-menu-top>li:hover>a {
    color: #fff;
}

.mobile .icon-search,
.mobile .icon-shopping,
.mobile .icon-profile {
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--color2);
    color: #fff;
    width: 32px;
    height: 32px;
    border-radius: 0.5rem;
}

.mobile .icon-search,
.mobile .icon-shopping {
    background-color: var(--color1);
}

.header-menu>li:first-child>a {
    padding-right: 0;
}

.top-header {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.header-menu-top li a {
    font-size: 0.875rem;
    color: var(--color3);
    padding: 0.5rem 1rem;
    border-bottom: 1px solid #E6E6E6;
    display: flex;
    align-items: center;
}

.header-menu-top ul.sub-menu ul.sub-menu {
    right: 100%;
    top: 0;
    border-radius: 12px 0 12px 12px;
}

.top-header-content,
.header-inner {
    gap: 0.875rem;
    flex-direction: column;
    justify-content: space-between;
}

.header-userinfo {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.25rem;
}

.header-userinfo .mini-cart span i,
.header-userinfo .icon-profile {
    font-size: 1.25rem;
    width: 43px;
    height: 43px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(42, 42, 134, 0.05);
    border-radius: 50%;
    color: var(--color1);
    transition: 0.3s;
    cursor: pointer;
}

.header-userinfo .mini-cart span:hover i,
.header-userinfo .icon-profile:hover {
    background-color: var(--color2);
    color: #FFFFFF;
}

#mini_cart_count {
    position: absolute;
    top: -5px;
    font-family: var(--main_font);
    background-color: var(--color1);
    width: 18px;
    height: 18px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    border-radius: 50%;
    font-size: 10px;
	border:1px solid var(--color1);
}

.websima-auth-modal-btn {
    border: 1px solid var(--color1);
    background-color: var(--color1);
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 43px;
    padding: 0 1.125rem;
    border-radius: 2.75rem;
    gap: 0.5rem;
    transition: 0.3s;
    font-family: var(--main_font);
    font-size: 0.8rem;
}

.websima-auth-modal-btn:hover {
    color: var(--color1);
    background-color: transparent;
}

.wrap-menu-top::before {
    content: '';
    position: absolute;
    background-color: var(--color1);
    height: 100%;
    left: -50px;
    background-image: url(../img/pattern-lowopa.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100vw;
}

.wrap-menu-top::after {
    content: '';
    background-image: url(../img/curve.png);
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    width: 100%;
    height: 100%;
}

.wrap-menu-top.right::after {
    left: -52px;
}

.wrap-menu-top.left::after {
    right: -52px;
    transform: scaleX(-1);
}

.wrap-menu-top.left::before {
    left: -100vw;
    right: -50px;
}

/* --------------------
    Menu Mobile
-------------------- */
#mask {
    position: fixed;
    z-index: 9999;
    background: rgba(0, 0, 0, 0.5);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
}

#menumobile {
    position: fixed;
    top: 0;
    bottom: 0;
    right: -300px;
    width: 250px;
    background: #fff;
    z-index: 99991;
    transition: all 0.5s;
    box-sizing: border-box;
    overflow: hidden;
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .3) !important;
    overflow-y: auto;
}

#nomenumobile {
    cursor: pointer;
    transition: all 0.5s;
    width: 20px;
    height: 20px;
    background: transparent;
    text-align: center;
    border-radius: 3px;
    display: inline-flex;
    color: var(--color3);
    font-size: 14px;
    align-items: center;
    justify-content: center;
}

.come-menumobile {
    right: 0 !important;
}

.title-mm {
    background: #FFFFFF;
    padding: 20px 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-bottom: 1px solid var(--bg_light);
}

.title-mm img {
    user-select: none;
}

.btn-mm {
    padding: 0 20px;
    margin-top: 20px;
}

.btn-mm a {
    display: flex;
}

.title-sub-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
    flex-flow: row-reverse;
}


.title-sub-head strong {
    font-family: var(--dana_bold);
}

.main-mm {
    padding: 5px 15px;
}

.main-mm ul li a {
    color: var(--color3);
    display: block;
    padding: 8px 0;
    position: relative;
    font-family: var(--main_font);
}

.main-mm ul li a:hover {
    color: var(--color1);
}

.main-mm ul li>.sub-menu {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 250px;
    background: #fff;
    right: -250px;
    transition: 0.3s;
    z-index: 9;
    padding: 20px;
}

.childer i {
    position: absolute;
    cursor: pointer;
    top: 9px;
    border: solid var(--color3);
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    left: 10px;
}

.childer {
    position: absolute;
    left: 0;
    cursor: pointer;
    top: 10px;
    width: 25px;
    height: 25px;
    background: transparent;
    border-radius: 2px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.come-submenu {
    right: 0 !important;
}

.sub-closer {
    cursor: pointer;
    top: 10px;
    width: 25px;
    height: 25px;
    background: transparent;
    border-radius: 3px;
    overflow: hidden;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sub-closer i {
    cursor: pointer;
    top: -1px;
    border: solid var(--color1);
    border-width: 0 2px 2px 0;
    display: inline-block;
    padding: 3px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    position: relative;
    left: -1px;

}

.title-subcome {
    color: var(--color2);
    font-weight: normal;
    position: relative;
    top: 2px;
}

.icon-menu {
    font-size: 2rem;
    margin-left: 10px;
}

@media (min-width: 991.99px) {
    .top-header-inner {
        display: flex;
        align-items: center;
        gap: 1.5rem;
    }

    .header-menu-top {
        column-gap: 1rem;
        z-index: 2;
        position: relative;
        justify-content: end;
        flex-wrap: wrap;
    }

    .header-logo {
        display: table;
        margin: auto;
    }
}

@media (max-width: 992px) {

    .header-search .icon-Search-rev {
        font-size: 20px;
        width: 20px;
        height: 20px;
    }

    #mini_cart_count {
        top: -10px;
        right: -5px;
		background: #fff;
        color: var(--color1);
    }

    .header-inner {
        flex-direction: row;
        align-items: center !important;
        border-bottom: 1px solid #E2E2E2;
        padding-bottom: 0.875rem;
    }

    .icons-header-mobile {
        align-items: center;
        justify-content: flex-start;
        gap: 0.5rem;
    }
}

@media (max-width: 450px) {
    .swiper-maingallery:not(.swiper-initialized) .swiper-slide {
        flex-shrink: unset !important;
        width: 350px !important;
        flex: 0 0 350px !important;
    }
}

@media (max-width: 992px) {
    .swiper-maingallery:not(.swiper-initialized) .swiper-slide {
        flex-shrink: unset;
        width: 450px;
        flex: 0 0 450px;
    }
}

#header .header-inner .user-profile {
    appearance: none;
    border: none;
    background-color: transparent;
}

.swiper-maingallery:not(.swiper-initialized) .swiper-slide {
    flex-shrink: unset;
    width: 418px;
    flex: 0 0 418px;
}